org.eclipse.jgit.transport

## Class TrackingRefUpdate

- java.lang.Object
- - org.eclipse.jgit.transport.TrackingRefUpdate

    public class TrackingRefUpdate
    extends Object

Update of a locally stored tracking branch.

### Method Summary

All Methods Instance Methods Concrete Methods
`ReceiveCommand` `asReceiveCommand()`
`String` `getLocalName()` Get the name of the local tracking ref.
`ObjectId` `getNewObjectId()` Get the new value the ref will be (or was) updated to.
`ObjectId` `getOldObjectId()` The old value of the ref, prior to the update being attempted.
`String` `getRemoteName()` Get the name of the remote ref.
`RefUpdate.Result` `getResult()` Get the status of this update.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getRemoteName

    public String getRemoteName()

Get the name of the remote ref.

Usually this is of the form "refs/heads/master".

Returns:
  the name used within the remote repository.

#### getLocalName

    public String getLocalName()

Get the name of the local tracking ref.

Usually this is of the form "refs/remotes/origin/master".

Returns:
  the name used within this local repository.

#### getNewObjectId

    public ObjectId getNewObjectId()

Get the new value the ref will be (or was) updated to.

Returns:
  new value. Null if the caller has not configured it.

#### getOldObjectId

    public ObjectId getOldObjectId()

The old value of the ref, prior to the update being attempted.

This value may differ before and after the update method. Initially it is populated with the value of the ref before the lock is taken, but the old value may change if someone else modified the ref between the time we last read it and when the ref was locked for update.

Returns:
  the value of the ref prior to the update being attempted.

#### getResult

    public RefUpdate.Result getResult()

Get the status of this update.

Returns:
  the status of the update.

#### asReceiveCommand

    public ReceiveCommand asReceiveCommand()

Returns:
  this update wrapped by a ReceiveCommand.
Since:
  3.4

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`